clear;clc;

cd /home/subhadip/Autism_AnatNet/austistic_study/Anatomy/With_Skull/T1_volumes/B

files=dir('t1*.nii.gz');
txtfiles=dir('0*.mat');
 
for l=1:length(files)
outputfiles(l).name=strcat('warped',files(l).name);
coeffiles(l).name=strcat('coef',files(l).name);

end

h=waitbar(0, 'fnirting')
for l=1:length(files)
setenv('FSLOUTPUTTYPE','NIFTI');
% [status currdir] = system(['fnirt --in=' files(l).name  ' --ref=MNI152_T1_2mm.nii.gz --iout=' outputfiles(l).name ' --cout=' coeffiles(l).name ' --jacrange=0.1,10 ']);

[status currdir] = system(['fnirt --in=MNI152_T1_2mm.nii.gz  --aff=' txtfiles(l).name ' --ref=' files(l).name ' --iout=' outputfiles(l).name  ' --cout=' coeffiles(l).name  ' --jacrange=0.1,10 '])
% [status currdir] = system(['fnirt --in=MNI152_T1_2mm.nii.gz   --ref='  files(l).name  '  --iout=' outputfiles(l).name ' --cout=' coeffiles(l).name ' --jacrange=0.1,10 ']);
waitbar(l/length(files))  
end

close(h)